Subject: help

From: [email-masked] (Mi Mi)
Date: Thu, 14 Jul 94 14:35:29 CDT

Date: Thu, 14 Jul 94 13:48:19 CDT
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: [email-masked] (Shude Mao)
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

   Hello, everyone,

      Perhaps my situation is worse than most people on this net. My wife
   came here around May 1994, and I applied CSPA at the end of June. I hold H-1
   visa and my wife has H-4. If I understand correctly, my wife has not yet lost
   her status although I applied. But if my application is approved, then my
   wife will be out of status.

      I wonder what options I have now. I hear one option is to apply for
   voluntary departure, although it does not maintain the applicant's legal
   status. I would very much appreciate your response and help.

      Thank you,

H-1 has dual purposes, so you do not lose your H-1 when you file CSPA. But
since you can not apply EB3 for your wife (only if you have 7/1 priority date
then you can), and no FB2 (since you have not been approved), so you have
to wait for your approval or the cutoff date gets you. In current situation,
it is most likely you will get your approval notice before your wife can file
I-485 for any category. Once you get approval, you wife is out of status.
One way to avoid this hardship, is to apply B-1, F-1, any other independent
non-immigrant visa for your wife. Say, find a language school (well, you 
should have to capacity to let your wife to study English, do you?), and get
an F-1 for her. Then, when you get approval, apply for her FB2, whenever 
cutoff dates catches you, file for her EB3.

A long time lads advisor, Mi Mi Sr.